.dropdown.show .dropdown-menu.dropdown-menu-tabs {
  max-height: 400px;
  overflow-y: hidden;
}

.dropdown .dropdown-menu.dropdown-menu-tabs {
  padding-top: 0;
  min-width: 240px;

  .dropdown-tabs-list {
    display: flex;
    box-shadow: 0 0 0 1px $border-color;

    .dropdown-tab-item {
      flex: 1;
      border-left: 1px solid $border-color;

      &:first-of-type {
        border-left: 0;
      }

      a {
        width: 100%;
        padding: $gl-padding $gl-padding-top;
        text-align: center;
        border-bottom: 2px solid transparent;
        background-color: $gray-light;

        &:focus,
        &.active {
          background-color: $white-light;
        }

        &.active {
          font-weight: bold;
          border-bottom-color: $indigo-500;
        }
      }
    }
  }

  .tab-content {
    .issue-board-dropdown-content {
      margin: 0;
      padding: $gl-padding;
      border-bottom: 0;
      color: $gl-text-color-secondary;
    }

    .tab-pane-labels {
      .dropdown-page-one .dropdown-content {
        height: 140px;
      }

      .dropdown-page-two {
        margin-top: 10px;

        .dropdown-content {
          max-height: initial;
          height: 205px;
        }
      }
    }

    .tab-pane-assignees {
      .dropdown-content {
        height: 225px;
        max-height: 252px;
      }

      .dropdown-user {
        display: flex;
        padding: $gl-padding-8 $gl-padding-24;
      }

      .dropdown-user-details div {
        max-width: 130px;
        text-overflow: ellipsis;
        overflow: hidden;
      }

      .dropdown-loading {
        display: block;
      }
    }
  }
}

.board-type-assignee {
  .board-title-text,
  .board-title-sub-text {
    @include str-truncated(110px);
  }

  .board-title-text {
    margin-right: 0;
  }

  .board-title-sub-text {
    margin-right: auto;
    color: $gl-text-color-secondary;
    font-weight: normal;
  }
}

.boards-switcher {
  .boards-selector-wrapper > .show.dropdown .dropdown-menu {
    // we cannot use d-flex from Bootstrap because of !important
    // see https://gitlab.com/gitlab-org/gitlab-ui/issues/38
    display: flex;

    &.dropdown-extended-height {
      max-height: $dropdown-max-height-lg;
    }
  }
}

@include media-breakpoint-up(md) {
  .issue-boards-content.is-focused {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: $white-light;
    z-index: 9000;

    .boards-list {
      height: calc(100vh - #{$issue-boards-filter-height});
      overflow-x: scroll;
    }

    .issue-boards-sidebar {
      height: 100%;
      top: 0;
    }
  }
}

.board-promotion-state {
  .btn.btn-primary {
    display: block;
    margin-bottom: 15px;
  }
}

.boards-title-holder {
  padding: 25px 13px $gl-padding;

  .dropdown-menu {
    margin-top: -15px;
    margin-left: 8px;
  }
}

.board-selector-page-two {
  padding-left: 10px;
  padding-right: 10px;
  white-space: normal;
}

.form-section-title {
  font-size: 16px;
}

.board-delete-btns {
  padding-top: 12px;
  border-top: 1px solid $border-color;
}


.board-milestone-list {
  > li {
    padding-left: 0;
    padding-right: 0;
  }

  a {
    padding-left: 25px;
  }

  .fa-check {
    margin-left: -18px;
  }
}

.board-inner-milestone-dropdown {
  margin-top: 10px;

  .dropdown-menu {
    position: fixed;
    left: 10px;
    top: 175px;
    min-width: 200px;
  }
}

.board-config-modal {
  width: 440px;

  .block {
    padding: $gl-padding 0;

    // add a border between all items, but not at the start or end
    + .block {
      border-top: solid 1px $border-color;
    }
  }
}
